[arch-commits] Commit in licq/trunk (PKGBUILD)

Juergen Hoetzel juergen at archlinux.org
Tue Oct 21 14:43:30 EDT 2008


    Date: Tuesday, October 21, 2008 @ 14:43:29
  Author: juergen
Revision: 16624

move to qt4

Modified:
  licq/trunk/PKGBUILD

----------+
 PKGBUILD |   37 ++++++++++++-------------------------
 1 file changed, 12 insertions(+), 25 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-21 17:19:40 UTC (rev 16623)
+++ PKGBUILD	2008-10-21 18:43:29 UTC (rev 16624)
@@ -1,44 +1,31 @@
 # $Id$
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 pkgname=licq
-pkgver=1.3.5
-pkgrel=3
+pkgver=1.3.6
+pkgrel=1
 pkgdesc="Advanced graphical ICQ clone and more for Unix" 
 arch=(i686 x86_64)
 url="http://www.licq.org"
 license=('GPL')
-depends=('libxss' 'qt3' 'openssl')
+depends=('libxss' 'qt' 'openssl' 'boost')
 options=(!libtool)
-source=(http://downloads.sourceforge.net/sourceforge/licq/licq-${pkgver}.tar.bz2
-	gcc4.3.patch
-	CVE-2008-1996.patch
-	icq-protocol-version.patch)
-md5sums=('842a73c82980721961fe824f40377292'
-         '84e22c584249128d74f71e08ef098bb1'
-         '2707540b24b905b536d7c98afaf021be'
-         '8b49bf52ff8ad76619d57d6eb7ae66ed')
+source=(http://downloads.sourceforge.net/sourceforge/licq/licq-${pkgver}.tar.bz2)
+md5sums=('9a2842dceba565601d0339347e6e203d')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
-  . /etc/profile.d/qt3.sh
-
   # licq
-  patch -Np1 -i ${srcdir}/gcc4.3.patch || return 1
-  patch -Np3 -i ${srcdir}/CVE-2008-1996.patch || return 1
-  patch -Np0 -i ${srcdir}/icq-protocol-version.patch || return 1
   GPGME_CONFIG=/bin/false ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
 
-  # qt-gui
-  cd plugins/qt-gui || return 1
-  # for some reason, --without-kde makes ./configure think that
-  # the QT libs are missing.  ???
-  GPGME_CONFIG=/bin/false ./configure --prefix=/usr || return 1 
+  # qt4-gui
+  cd plugins/qt4-gui || return 1
+  mkdir build
+  cd build
+
+  cmake -DWITH_KDE=OFF -DCMAKE_INSTALL_PREFIX=/usr .. || return 1
+
   make || return 1
-  cd po || return 1
-  lrelease *.ts || return 1
-  cd ..
   make DESTDIR=${pkgdir} install || return 1
-  rm -rf ${pkgdir}/opt
 }




More information about the arch-commits mailing list